/**
 *	ClassLabelOutOfBoundsException.java
 *
 *  Greg Amis
 *  Technology Lab
 *  Dept. of Cognitive & Neural Systems
 *  Boston University
 *  Nov 17, 2008
 *
 *  Licensing Policy
 *  This implementation is made available to the general public under the terms 
 *  of Copyleft, as defined by the <a href="http://www.fsf.org/">Free Software Foundation</a> 
 *  (see discussion <a href="http://www.gnu.org/copyleft/copyleft.html">here</a> for example). 
 *  As such, it is available free of charge, and may be copied, redistributed, or modified, 
 *  as long as any resulting work is distributed under the same terms of Copyleft.
 */
package edu.bu.cns.classifiers;

import edu.bu.cns.util.FormattableException;

/**
 *	Thrown when an inputs class label is out of the expected bounds.
 */
public class ClassLabelOutOfBoundsException extends FormattableException {

	private static final long serialVersionUID = -5121324434817915723L;

	public ClassLabelOutOfBoundsException(final int lb, final int ub, final int label) {
		super(lb,ub,label);
	}

	@Override
	protected String getMsgFmt() {
		return "Expected class label to be in range [%d,%d) but was %d.";
	}
}
