/**
 *	IllegalParameterException.java
 *
 *  Greg Amis
 *  Technology Lab
 *  Dept. of Cognitive & Neural Systems
 *  Boston University
 *  Nov 17, 2008
 *
 *  Licensing Policy
 *  This implementation is made available to the general public under the terms 
 *  of Copyleft, as defined by the <a href="http://www.fsf.org/">Free Software Foundation</a> 
 *  (see discussion <a href="http://www.gnu.org/copyleft/copyleft.html">here</a> for example). 
 *  As such, it is available free of charge, and may be copied, redistributed, or modified, 
 *  as long as any resulting work is distributed under the same terms of Copyleft.
 */
package edu.bu.cns.classifiers;

import edu.bu.cns.util.FormattableException;

/**
 *	Thrown if a classifier parameter is set to an illegal value.
 */
public class IllegalParameterException extends FormattableException {

	private static final long serialVersionUID = -7093219745944910995L;
	
	private final String msgFmt;
	
	public IllegalParameterException( final String paramName, 
			final Number value, final Number lb, final Number ub) {
		super(paramName,value,lb,ub);
		msgFmt = "Parameter %s must be in [%g,%g] but was %g.";
	}
	public IllegalParameterException( final String msg) {
		super();
		msgFmt = msg;
	}
	@Override
	protected String getMsgFmt() {
		return msgFmt;
	}

}
