/**
 *	Input.java
 *
 *  Greg Amis
 *  Technology Lab
 *  Dept. of Cognitive & Neural Systems
 *  Boston University
 *  Nov 13, 2008
 *
 *  Licensing Policy
 *  This implementation is made available to the general public under the terms 
 *  of Copyleft, as defined by the <a href="http://www.fsf.org/">Free Software Foundation</a> 
 *  (see discussion <a href="http://www.gnu.org/copyleft/copyleft.html">here</a> for example). 
 *  As such, it is available free of charge, and may be copied, redistributed, or modified, 
 *  as long as any resulting work is distributed under the same terms of Copyleft.
 */
package edu.bu.cns.data;

import java.util.Arrays;

/**
 *	Classifier input: a vector of feature values
 */
public interface Input {
	
	public float[] features();
	
	
	/**
	 * Basic implementation for Input
	 */
	public class Impl implements Input {
		private float[] features;
		public Impl(final float... a) { 
			features = a; 
		}
		public float[] features() { return features; }	
		
		@Override
		public String toString() {
			return Arrays.toString(features);
		}
	}
	

}
