/**
 *	LabeledInputs.java
 *
 *  Greg Amis
 *  Technology Lab
 *  Dept. of Cognitive & Neural Systems
 *  Boston University
 *  Oct 24, 2008
 *
 *  Licensing Policy
 *  This implementation is made available to the general public under the terms 
 *  of Copyleft, as defined by the <a href="http://www.fsf.org/">Free Software Foundation</a> 
 *  (see discussion <a href="http://www.gnu.org/copyleft/copyleft.html">here</a> for example). 
 *  As such, it is available free of charge, and may be copied, redistributed, or modified, 
 *  as long as any resulting work is distributed under the same terms of Copyleft.
 */
package edu.bu.cns.data;

import java.util.Random;


/**
 *
 */
public interface LabeledInputs extends Inputs<LabeledInput> {
	
	public int getNumberOfClasses();
	
	/**
	 * Creates a new LabeledInputs instance containing an random sampling 
	 * (without replacement) of labeled inputs from this instance,
	 * having no more than classCap instance from each class
	 * 
	 * @param sampler
	 * @param classCap
	 * @return
	 */
	public LabeledInputs downsampleToLabelCap(Random sampler, int classCap);
	
	public int[] labels();

}
